Subject: [6tisch] comments/thoughts/edits on 6tisch-architecture

From: Michael Richardson <[email-masked]>
Date: Thu, 13 Dec 2018 15:54:27 -0500

{I did a bunch of comments a few weeks ago on my phone, but it's
a mess, and it lost a bunch of notes and I'm having to partially start over
again}

This is a summary of the changes I've suggested and/or committed:

1) ietf-detnet-use-cases is mentioned three times.
   ietf-detnet-architecture is mentioned ten times.
   They are Informational references.
   I knew that things were related, but I didn't know that so much had
   moved!  Since detnet-use-cases and detnet-architecture are in the IESG
   queue, I think that maybe some could be a normative reference if
   desired. I don't feel strongly here.
   I have only scanned the ToC of the use-cases document and architecture.
   If it's really informative, then that's all I should need to do,
   right?

2) I don't like this sentence:

   In order to enable the convergence of IT and OT in LLN environments,
   6TiSCH ports the IETF suite of protocols that are defined for such
   environments over the TSCH MAC.

I have suggested:

   In order to enable the convergence of IT and OT in LLN environments,
   6TiSCH suports a subset of the IETF suite of protocols (IP) over the
   TSCH MAC.

I've inserted "subset" to imply that one doesn't have to implement all the
protocols.  Some might think they need to fit "finger" into their mote...

3) is: "domotics" a word I don't know, or a typo?
   (section 1, last paragraph)

4) I fixed reference for IE registry to RFC8137.
5) I found the reference to "RPL applicability in industrial networks"
   a poor reference.  The 6tisch WG replaces that document, and so I think
   that we don't need further back references.
   There is a second reference about cranes in section 3.2, which I think we
   can live without.

6) I'd sure like to reference useofrplinfo in section 3.1, after:
    "Header (SRH) in non-storing mode" + as explained in useofrplinfo..
    but that would be a normative reference to a document that I can't
    promise will get to the IESG publication queue soon.  Would this MISSREF
    be acceptable?

I am continuing to read/edit-for-grammar, but I thought I'd send this email
to gather some feedback.

--
Michael Richardson <[email-masked]>, Sandelman Software Works
 -= IPv6 IoT consulting =-

---

From: "Pascal Thubert (pthubert)" <[email-masked]>
Date: Fri, 14 Dec 2018 02:45:51 +0000

Hello Michael 

A great many thanks.

DetNet architecture can be a normative ref no problem there. We are concluding the WGLC changes in parallel, both docs will ship at roughly the same time.

I’ll act on all this today. I’ll be in a plane so I may not be able to push the result till your afternoon. If you change the xml please avoid the impacted areas till I do.

All the best!

Pascal

> Le 14 déc. 2018 à 00:54, Michael Richardson <[email-masked]> a écrit :
> 
> 
> _______________________________________________
> 6tisch mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/6tisch

---

From: "Pascal Thubert (pthubert)" <[email-masked]>
Date: Fri, 14 Dec 2018 06:42:27 +0000

Hello Michael:

I pushed a slight update; Many thinks for your revisions! Please let us know when you are done, so we can make the publication request. 

[PT>] please see below:

-----Original Message-----
From: 6tisch <[email-masked]> On Behalf Of Michael Richardson
Sent: vendredi 14 décembre 2018 00:54
To: [email-masked]
Subject: [6tisch] comments/thoughts/edits on 6tisch-architecture

{I did a bunch of comments a few weeks ago on my phone, but it's a mess, and it lost a bunch of notes and I'm having to partially start over again}

[PT>] I made the architecture a normative ref. The use cases does not need to be; also it is an informational spec and would be a downref.

I have suggested:

I've inserted "subset" to imply that one doesn't have to implement all the protocols.  Some might think they need to fit "finger" into their mote...
[PT>] very cool!

3) is: "domotics" a word I don't know, or a typo?
   (section 1, last paragraph)
[PT>] 
[PT>] It's home IOT : ) https://www.linguee.fr/anglais-francais/traduction/domotic.htmlChanged to "home automation for domotic 
         applications."

[PT>] cool thanks

[PT>] I'm OK with the way you changed things, though I restored the mobile worker use case, an important one IMHO.

[PT>] I'll make the reference. We'll sort out the normative vs; not during the IESG review...

I am continuing to read/edit-for-grammar, but I thought I'd send this email to gather some feedback.
[PT>] 
[PT>] Committing/pushing my changes. 

Take care,

Pascal

---

From: Michael Richardson <[email-masked]>
Date: Fri, 14 Dec 2018 12:51:35 -0500

Pascal Thubert (pthubert) <[email-masked]> wrote:
> I pushed a slight update; Many thinks for your revisions! Please let us
> know when you are done, so we can make the publication request.

I will do another round today, and get to the end of the document.

mcr> 3) is: "domotics" a word I don't know, or a typo?
mcr>    (section 1, last paragraph)

> [PT>] It's home IOT : ) https://www.linguee.fr/anglais-francais/traduction/domotic.htmlChanged to "home automation for domotic

okay... maybe the word you want is "domestic"?

mcr> 6) I'd sure like to reference useofrplinfo in section 3.1, after:
mcr>     "Header (SRH) in non-storing mode" + as explained in useofrplinfo..
mcr>     but that would be a normative reference to a document that I can't
mcr>     promise will get to the IESG publication queue soon.  Would this MISSREF
mcr>     be acceptable?

> [PT>] I'll make the reference. We'll sort out the normative vs; not during

okay.

---

From: "Pascal Thubert (pthubert)" <[email-masked]>
Date: Mon, 17 Dec 2018 12:15:52 +0000

Hello Michael
> > I pushed a slight update; Many thinks for your revisions! Please let
> > us know when you are done, so we can make the publication request.
> 
> > [PT>] It's home IOT : ) https://www.linguee.fr/anglais-
> francais/traduction/domotic.htmlChanged to "home automation for domotic
> >          applications."
> 

[PT>] Well, I understand that domotic is a common neologism, but that's maybe around here, and in France we use domotique a lot. I removed the term since it appears that it can be controversial...

All the best

Pascal